Subject: Ticket Assigned - Click & Collect
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Thu, 11 Mar 2021 13:23:49 +0000

Hi Manish Kumar,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Click & Collect Hello,

I have ordered a desk few days ago through the online app and paid via Knet for it to be delivered by the 16th of March. Order #8240088247

My question here is: Can I pick it up myself?
If yes, in which store the item is available?
And will I get a refund for the extra 10KD I paid for delivery service?

Thanks https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2227871